ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yusaku Sako (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-20914) Files view does not build due to new version of ember-cli-htmlbars-inline-precompile
Date Tue, 02 May 2017 23:14:04 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-20914?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15993983#comment-15993983
] 

Yusaku Sako commented on AMBARI-20914:
--------------------------------------

"mvn clean package" is successful.
UTs pass:
{noformat}
Results :

Tests run: 8, Failures: 0, Errors: 0, Skipped: 0
{noformat}

> Files view does not build due to new version of ember-cli-htmlbars-inline-precompile
> ------------------------------------------------------------------------------------
>
>                 Key: AMBARI-20914
>                 URL: https://issues.apache.org/jira/browse/AMBARI-20914
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-views, contrib
>    Affects Versions: 2.4.3
>            Reporter: Yusaku Sako
>            Assignee: Yusaku Sako
>             Fix For: 2.4.3
>
>         Attachments: AMBARI-20914.patch
>
>
> Files View fails to compile due to the following error:
> {noformat}
> [INFO] --- exec-maven-plugin:1.3.2:exec (Files build) @ files ---
> /grid/0/jenkins/workspace/Zuul_Ambari_Build_Job/hdp-BUILDS/ambari/contrib/views/files/src/main/resources/ui/node_modules/ember-cli-htmlbars-inline-precompile/index.js:14
>   init() {
>       ^
> Unexpected token (
> /grid/0/jenkins/workspace/Zuul_Ambari_Build_Job/hdp-BUILDS/ambari/contrib/views/files/src/main/resources/ui/node_modules/ember-cli-htmlbars-inline-precompile/index.js:14
>   init() {
>       ^
> SyntaxError: Unexpected token (
>     at exports.runInThisContext (vm.js:73:16)
>     at Module._compile (module.js:443:25)
>     at Object.Module._extensions..js (module.js:478:10)
>     at Module.load (module.js:355:32)
>     at Function.Module._load (module.js:310:12)
>     at Module.require (module.js:365:17)
>     at require (module.js:384:17)
> {noformat}
> This is because ember-cli-htmlbars-inline-precompile@0.3.8 was introduced.  The build
process worked fine with ember-cli-htmlbars-inline-precompile@0.3.6 before.   Modifying package.json
to fix the version to 0.3.6 let's the build finish successfully.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message